## org.apache.poi.hwpf.usermodel
Interface Bookmarks

All Known Implementing Classes:
  BookmarksImpl

    public interface Bookmarks

User-friendly interface to access document bookmarks

Author:
  Sergey Vladimirov (vlsergey {at} gmail {dot} com)

Method Summary
`Bookmark` `getBookmark(int index)`
`int` `getBookmarksCount()`
`java.util.Map<java.lang.Integer,java.util.List<Bookmark>>` `getBookmarksStartedBetween(int startInclusive, int endExclusive)`
`void` `remove(int index)` Remove bookmark from document (but not the bookmark text)

Method Detail

### getBookmark

    Bookmark getBookmark(int index)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` - bookmark document index
  Returns:
    `Bookmark` with specified index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if bookmark with specified index not present in document

### getBookmarksCount

    int getBookmarksCount()

  Returns:
    count of `Bookmark`s in document

### getBookmarksStartedBetween

    java.util.Map<java.lang.Integer,java.util.List<Bookmark>> getBookmarksStartedBetween(int startInclusive,
                                                                                         int endExclusive)

  Returns:
    `Map` of bookmarks started in specified range, where key is start position and value is sorted `List` of `Bookmark`

### remove

    void remove(int index)

  Remove bookmark from document (but not the bookmark text)

  Parameters:
    `index` - bookmark document index to be removed

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.